using Managing.Domain.Users;

namespace Managing.Application.Abstractions.Services;

public interface IUserService
{
    Task<User> Authenticate(string name, string address, string message, string signature);
    Task<User> GetUserByAddressAsync(string address);
    Task<User> UpdateAgentName(User user, string agentName);
    Task<User> UpdateAvatarUrl(User user, string avatarUrl);
    Task<User> UpdateTelegramChannel(User user, string telegramChannel);
    User GetUser(string name);
}
